## bsdowl 2.2.2

=== bps/Makefile ===
### Makefile -- Collection de Makefiles `make'

# Author: Michael Grünewald
# Date: Ven 10 fév 2006 16:51:08 GMT
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION

FILES+=	bps.init.mk
FILES+= bps.credentials.mk
FILES+= bps.objdir.mk
FILES+=	bps.own.mk
FILES+= bps.usertarget.mk
FILES+=	bps.clean.mk
FILES+=	bps.subdir.mk
FILES+=	bps.files.mk
FILES+= bps.autoconf.mk
FILES+= bps.project.mk

.include "project.mk"

### End of file `Makefile'

=== misc/Makefile ===
### Makefile -- Collection de makefiles `misc'

# Author: Michael Grünewald
# Date: Sam  7 jul 2007 18:09:47 CEST
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION

FILES+= conf.freebsd.mk
FILES+= misc.script.mk
FILES+=	misc.elisp.mk
FILES+=	misc.dotfile.mk

.include "project.mk"

### End of file `Makefile'

=== noweb/Makefile ===
### Makefile -- Collection de makefiles `noweb'

# Author: Michael Grünewald
# Date: Sam  3 oct 2009 19:09:28 CEST
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION

FILES = noweb.main.mk
FILES+= noweb.latex.mk

SHARE+= nwlatex.css

TEXFILES+= nwlatex.tex
TEXFILESDIR = ${TEXMFDIR}/tex/latex${_BPS_PACKAGEDIR}

.include "project.mk"

### End of file `Makefile'

=== ocaml/Makefile ===
### Makefile -- Developement of applications with Objective Caml

# Author: Michael Grünewald
# Date: Sat Jul  7 18:12:48 CEST 2007

FILES+= ocaml.build.mk
FILES+= ocaml.depend.mk
FILES+= ocaml.find.mk
FILES+= ocaml.meta.mk
FILES+= ocaml.init.mk
FILES+= ocaml.lex.mk
FILES+= ocaml.lib.mk
FILES+= ocaml.pack.mk
FILES+= ocaml.main.mk
FILES+= ocaml.object.mk
FILES+= ocaml.prog.mk
FILES+= ocaml.dirs.mk
FILES+= ocaml.source.mk
FILES+= ocaml.compile.mk
FILES+= ocaml.tools.mk
FILES+= ocaml.yacc.mk
FILES+= ocaml.odoc.mk
FILES+= ocaml.manual.mk
FILES+= ocaml.toplevel.mk

.include "project.mk"

### End of file `Makefile'

=== support/Makefile ===
### Makefile -- Support scripts for BSD Owl Scripts

# Author: Michael Grünewald
# Date: Ven  9 mai 2008 14:47:47 CEST
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION

SCRIPT+= mp2eps.sh
SCRIPT+= mp2png.sh
SCRIPT+= mp2pdf.sh

.include "script.mk"

### End of file `Makefile'

=== texmf/Makefile ===
### Makefile

# Author: Michael Grünewald
# Date: Sam  7 jul 2007 18:12:07 CEST
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION

FILES = texmf.init.mk

FILES+= tex.init.mk
FILES+= tex.doc.pre.mk
FILES+= tex.doc.main.mk
FILES+= tex.doc.post.mk
FILES+= tex.doc.mk
FILES+= tex.device.dvi.mk
FILES+= tex.device.ps.mk
FILES+= tex.device.pdf.mk
FILES+= tex.driver.dvi.mk
FILES+= tex.driver.pdftex.mk
FILES+= tex.driver.dvips.mk
FILES+= tex.mpost.mk
FILES+= tex.files.mk
FILES+= tex.files.main.mk

FILES+= latex.doc.mk
FILES+= latex.doc.pre.mk
FILES+= latex.doc.post.mk
FILES+= latex.bibtex.mk

tex.driver.pdftex.mk: tex.driver.dvi.mk
	sed \
	  -e 's/tex\.driver\.dvi\.mk/tex\.driver\.pdftex\.mk/g'\
	  -e 's/DVI/PDF/g' \
	  -e 's/dvi/pdf/g' \
	  ${.ALLSRC} > ${.TARGET}

tex.device.pdf.mk: tex.device.dvi.mk
	sed -e 's/DVI/PDF/g' -e 's/dvi/pdf/g' ${.ALLSRC} > ${.TARGET}

CLEANFILES+= tex.driver.pdftex.mk
CLEANFILES+= tex.device.pdf.mk

.include "project.mk"

### End of file `Makefile'

=== www/Makefile ===
### Makefile

# Author: Michael Grünewald
# Date: Sam  7 jul 2007 18:12:00 CEST
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION


FILES = www.files.mk
FILES+= www.sgml.mk

.include "project.mk"

### End of file `Makefile'

=== test/dotfile/Makefile ===
### Makefile -- Test misc.dotfile.mk

# Author: Michael Grünewald
# Date: Sam  7 jul 2007 18:12:22 CEST
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION


### SYNOPSIS

# $ make -I ../../make -I ../../misc install

DOTFILE+= dot.cshrc
DOTFILE+= dot.emacs

DOTFILEMODE.dot.cshrc = 644

DOTFILEDIR = ${.CURDIR:C%^${HOME}%%:H}/tmp/dotfile
.include "misc.dotfile.mk"

### End of file `Makefile'

=== test/elisp/Makefile ===
### Makefile -- Test misc.elisp.mk

# Author: Michael Grünewald
# Date: Sam  7 jul 2007 18:08:19 CEST
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION


### SYNOPSIS

# $ make -I ../../make -I ../../misc install

SRCS+= emake1.el
SRCS+= emake2.el

ELISP_INSTALL_SRC.emake2.el = no

ELSIPDIR = ${.CURDIR:C%^${HOME}%%:H}/tmp/elisp
.include "misc.elisp.mk"

### End of file `Makefile'

=== test/ocaml/Makefile ===
### Makefile -- Test OCaml support

# Author: Michael Grünewald
# Date: Fri Oct  4 20:54:55 CEST 2013

# BSD Owl Scripts (https://bitbucket.org/michipili/bsdowl)
# This file is part of BSD Owl Scripts
#
# Copyright © 2005–2014 Michael Grünewald
#
# This file must be used under the terms of the CeCILL-B.
# This source file is licensed as described in the file COPYING, which
# you should have received as part of this distribution. The terms
# are also available at
# http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.txt

SUBDIR=		wordcount-1
SUBDIR+=	wordcount-2
SUBDIR+=	fibonacci
SUBDIR+=	newton
SUBDIR+=	newton-doc
SUBDIR+=	toplevel
SUBDIR+=	basic-1
SUBDIR+=	basic-2
SUBDIR+=	basic-3
SUBDIR+=	basic-4
SUBDIR+=	ocamlfind
SUBDIR+=	golden_ratio
SUBDIR+=	miniproj-1
SUBDIR+=	miniproj-2
SUBDIR+=	miniproj-3

#
# Test setup
#

COMPILE?=	byte_code

TESTENV=	${ENVTOOL} -i "PATH=${PATH}" "COMPILE=${COMPILE}"
TESTENV+=	"MAKEFLAGS=${MAKEFLAGS:NPACKAGE*:NPROJECT*}"

test-clean:
	${TESTENV} ${MAKE} realclean

test-base:
	${TESTENV} ${MAKE} all
	${TESTENV} ${MAKE} realclean

test-doc:
	${TESTENV} ${MAKE} doc
	${TESTENV} ${MAKE} realclean

test-parallel:
	${TESTENV} ${MAKE} depend
	${TESTENV} ${MAKE} -j4 build
	${TESTENV} ${MAKE} realclean

test-objdir:
	${INSTALL_DIR} ${.CURDIR}/objdir
	${TESTENV} MAKEOBJDIRPREFIX=${.CURDIR}/objdir ${MAKE}
	test -r ${.CURDIR}/objdir/${.CURDIR}/basic-1/.depend
	test -r ${.CURDIR}/objdir/${.CURDIR}/basic-1/basic_lexer.ml
	test -r ${.CURDIR}/objdir/${.CURDIR}/basic-1/basic_parser.ml
	test -r ${.CURDIR}/objdir/${.CURDIR}/basic-1/basic_parser.mli
	test -x ${.CURDIR}/objdir/${.CURDIR}/golden_ratio/golden_ratio

test-compile:
	${TESTENV} COMPILE="byte_code" ${MAKE} test
	${TESTENV} COMPILE="native_code" ${MAKE} test
	${TESTENV} COMPILE="both" ${MAKE} test

CLEANDIRS+= ${.CURDIR}/objdir

test: test-clean
test: test-base
test: test-doc
test: test-parallel
test: test-objdir

.include "bps.subdir.mk"

### End of file `Makefile'

=== test/script/Makefile ===
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION
### Makefile

SCRIPT+= confdump.sh
SCRIPT_CONFIGURE+= TMPDIR

TMPDIR = ${PREFIX}/var/tmp

.include "misc.script.mk"

### End of file `Makefile'

=== test/tex/Makefile ===
# Cookie: SYNOPSIS TARGET VARIABLE EN DOCUMENTATION
### Makefile -- Test the production of TeX documents

DOCS = octonions.tex

FIGS = sketches.mp
SRCS = macros.tex

.MAKEFLAGS: -I../../bps
.MAKEFLAGS: -I../../texmf

.include "latex.doc.mk"

### End of file `Makefile'

=== debian/changelog ===
bsdowl (2.2.2-1) unstable; urgency=medium

  * Initial release. (Closes: #760592)

 -- Michael Grünewald <michipili@gmail.com>  Fri, 05 Sep 2014 16:39:49 +0200

=== debian/control ===
Source: bsdowl
Maintainer: Michael Grünewald <michipili@gmail.com>
Section: devel
Priority: optional
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), bmake, graphicsmagick, gawk, m4
Vcs-Git: git://github.com/michipili/bsdowl.git
Vcs-Browser: https://github.com/michipili/bsdowl/tree/debian
Homepage: https://github.com/michipili/bsdowl

Package: bsdowl
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, gawk, m4, bmake,
 ocaml, texlive-latex-base
Recommends: gnupg, graphicsmagick, ocaml-findlib
Suggests: opensp
Description: Universal portable build system written for BSD Make
 This collection of BSD Make directives aims at providing a highly
 portable universal build system targeting modern UNIX systems and
 supporting common or less common languages.
 .
 It can already be used to:
 .
   - Prepare and publish TeX documents;
   - Develop TeX macros with NOWEB;
   - Develop OCaml software;
   - Maintain and deploy FreeBSD workstation configuration files;
   - Prepare static website with ONSGMLS.
 .
 It is well tested under:
 .
   - Mac OS X, version 10.6.8 and above
   - FreeBSD, version 9.0 and above
   - Debian Jessie and newer

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://github.com/michipili/bsdowl/releases (?:.*/)?bsdowl-([\d\.]+).tar.(?:gz|bz2|xz)
